<template>
  <v-container>
      <v-layout row wrap class="mt-2">
        <v-flex xs12 sm3 class="text-xs-center text-sm-right">
          <v-btn dark large router to="/meetups" class="info">Meetups</v-btn>
        </v-flex>
        <v-flex xs12 sm4 offset-sm5 class="text-xs-center text-sm-left">
          <v-btn dark large router to="/matchmakings" class="info">Matchmaking</v-btn>
        </v-flex>
      </v-layout>
      <v-layout row class="mt-5">
        <v-flex xs12 class="text-xs-center">
          <v-progress-circular 
          indeterminate 
          class="primary--text" 
          v-if="loading"
          :width="7"
          :size="70"
          ></v-progress-circular>
        </v-flex>
      </v-layout>
      <v-layout row wrap v-if="!loading" justify-space-between>
        <v-flex xs5>
          <v-carousel style="cursor: pointer;">
            <v-carousel-item 
              v-for="meetup in meetups" 
              :src="meetup.imageUrl" 
              :key="meetup.id"
              @click="onLoadMeetup(meetup.id)">
              <div class="title">
                {{meetup.title}}
              </div>
            </v-carousel-item>
          </v-carousel>
        </v-flex>
        <v-flex xs5>
          <v-carousel style="cursor: pointer;">
            <v-carousel-item 
              v-for="matchmaking in matchmakings" 
              :src="matchmaking.imageUrl" 
              :key="matchmaking.id"
              @click="onLoadmatchmaking(matchmaking.id)">
              <div class="title">
                {{matchmaking.title}}
              </div>
            </v-carousel-item>
          </v-carousel>
        </v-flex>
      </v-layout>
       <v-layout row wrap class="mt-2">
        <v-flex xs12 class="text-xs-center">
          <p>Join our awesome meetups!</p>
        </v-flex>
      </v-layout>
      <v-layout
  </v-container>
</template>

<script>
  export default {
    // eslint-disable-next-line
   computed: {
     meetups () {
       return this.$store.getters.featuredMeetups
     },
     matchmakings () {
         return this.$store.getters.featuredMatchmakings
     },
     loading () {
       return this.$store.getters.loading
     }
   },
    methods: {
      onLoadMeetup (id) {
        this.$router.push('/meetups/' + id)
      },
      onLoadmatchmaking (id) {
        this.$router.push('/matchmakings/' + id)
      }
    },
  }
</script>
<style scoped>
    .title {
        position: absolute;
        bottom: 50px;
        background-color: rgba(0, 0, 0, 0.5);
        color: white;
        font-size: 2em;
        padding: 10px;
        left: 50%;
        transform: translate(-50%, 0);
    }
</style>

